/* ----------------------------------------------------------------------------
   Ping Utility Library
   Copyright (C) 1994-2000 PING Software Group and Mark A Lindner

   This file is part of pingutil.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   ----------------------------------------------------------------------------
   $Log: netcommon.h,v $
   Revision 1.3  2001/01/21 08:50:44  markl
   Checks and conditional typedefs for in_addr_t and in_port_t

   Revision 1.2  2000/08/13 05:56:43  markl
   More Linux ports.

   Revision 1.1  2000/06/14 06:02:46  ping
   Initial checkin.

   ----------------------------------------------------------------------------
*/

#ifndef __ping_netcommon_h
#define __ping_netcommon_h

#include "config.h"

#include <netdb.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/time.h>

#include "pingutil.h"

#ifndef HAVE_TYPE_IN_ADDR_T
typedef uint32_t in_addr_t;
#endif

#ifndef HAVE_TYPE_IN_PORT_T
typedef int in_port_t;
#endif

#define P_NET_BUFSZ 8192

#define P_NET_CREATED 0
#define P_NET_LISTENING 1
#define P_NET_ACCEPTING 2
#define P_NET_CONNECTED 3
#define P_NET_SHUTDOWN 4

#define P_NET_NTYPES 3

extern const int __P_net_socktypes[P_NET_NTYPES];
extern const char *__P_net_protocols[P_NET_NTYPES];

extern bool_t __P_socket_addr2sock(struct sockaddr_in *sa, const char *addr);
extern bool_t __P_socket_sock2addr(struct sockaddr_in *sa, char *addr,      
                                   size_t addrsz);

extern p_buffer_t *__P_net_get_buffer(void);

#endif /* __ping_netcommon_h */

/* end of common header */
