/* ----------------------------------------------------------------------------
   Ping Utility Library
   Copyright (C) 1994-2000 PING Software Group and Mark A Lindner

   This file is part of pingutil.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   ----------------------------------------------------------------------------
   $Log: perrno.h,v $
   Revision 1.2  2000/08/10 08:22:15  markl
   Added not-implemented macro.

   Revision 1.1  2000/06/14 06:02:46  ping
   Initial checkin.

   ----------------------------------------------------------------------------
*/

#ifndef __ping_perrno_h
#define __ping_perrno_h

#define P_ENOTIMPL      -99     /* function or feature not implemented  */
#define P_EFAILED	 -1	/* general failure			*/
#define P_EOK		  0	/* success (no error)			*/
#define P_EINVAL	  1	/* invalid argument			*/
#define P_ESOCKET	  2	/* socket() error			*/
#define P_EBADSTATE	  3	/* call not valid in this state		*/
#define P_EADDRINFO	  4	/* unable to resolve network address	*/
#define P_EBIND		  5	/* bind() error				*/
#define P_EBLOCKED	  6	/* operation would block		*/
#define P_EACCEPT	  7	/* accept() error			*/
#define P_EBADTYPE	  8	/* wrong socket type for operation	*/
#define P_ELISTEN        11     /* listen() error                       */
#define P_ESOCKINFO	 12	/* unable to obtain socket info		*/
#define P_EFCNTL	 13	/* fcntl() error			*/
#define P_ELOSTCONN	 14	/* connection to peer lost		*/
#define P_EFDOPEN	 15	/* fdopen() error			*/
#define P_ECONNECT	 16	/* connect() error			*/
#define P_ENOCONN	 17	/* no connection available		*/
#define P_ESEND		 18	/* send() error				*/
#define P_ERECV		 19	/* recv() error				*/
#define P_EMSG2BIG	 20	/* UDP message too big			*/
#define P_ESENDTO	 21	/* sendto() error			*/
#define P_ERECVFROM	 22	/* recvfrom() error			*/
#define P_ETIMEOUT	 23	/* connection or I/O timed out		*/
#define P_ESVCINFO	 24	/* unable to obtain service info	*/
#define P_EFORK		 25	/* unable to fork			*/
#define P_ETBLFULL	 26	/* table full (depends on context)	*/
#define P_ESELECT	 27	/* select() error			*/
#define P_EIOCTL	 28	/* ioctl() error			*/
#define P_ETCATTR	 29	/* unable to get/set tty attributes	*/
#define P_ENOTTY	 30	/* descriptor does not refer to a tty	*/
#define P_EGETPTY	 31	/* getpty() error			*/
#define P_EOPEN		 32	/* open() error				*/
#define P_EPTY		 33	/* general pseudoterminal error		*/
#define P_EEXECV	 34	/* execv() error			*/

#endif /* __ping_perrno_h */

/* end of header file */
