/* ----------------------------------------------------------------------------
   Ping Utility Library
   Copyright (C) 1994-2000 PING Software Group and Mark A Lindner

   This file is part of pingutil.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   ----------------------------------------------------------------------------
   $Log: time.c,v $
   Revision 1.3  2000/08/17 06:37:45  markl
   Changes to eliminate most compiler warnings.

   Revision 1.2  2000/07/04 12:54:39  markl
   More fixes.

   Revision 1.1  2000/06/14 06:02:49  ping
   Initial checkin.

   ----------------------------------------------------------------------------
*/

/* Feature test switches */

#include "config.h"

#define _POSIX_C_SOURCE 199506L

/* System headers */

#include <time.h>

/* Local headers */

#include "pingutil.h"

/* Functions */

bool_t P_time_format(time_t t, char *s, const char *fmt, size_t fmtsz)
  {
  time_t t1;
  struct tm t2;

  t1 = (t ? t : time(NULL));
  (void)localtime_r(&t1, &t2);

  return((strftime(s, fmtsz, fmt, &t2) > 0) ? TRUE : FALSE);
  }

/*
 */

time_t P_time_scan(const char *s)
  {
  char mo[3], dy[3], yr[3], hr[3], mn[3], sc[3];
  struct tm t;

  if(sscanf(s, "%2s%2s%2s/%2s%2s%2s", mo, dy, yr, hr, mn, sc) != 6)
    return((time_t)0);

  t.tm_mon = atoi(mo) - 1;
  t.tm_mday = atoi(dy);
  t.tm_year = atoi(yr);
  t.tm_hour = atoi(hr);
  t.tm_min = atoi(mn);
  t.tm_sec = atoi(sc);
  t.tm_isdst = -1;
  return(mktime(&t));
  }

/* end of source file */


