/* ----------------------------------------------------------------------------
   Ping Utility Library
   Copyright (C) 1994-2000 PING Software Group and Mark A Lindner

   This file is part of pingutil.
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   ----------------------------------------------------------------------------
   $Log: timer.c,v $
   Revision 1.1  2000/07/21 08:13:14  markl
   New file.

   ----------------------------------------------------------------------------
*/


/* Feature test switches */

#include "config.h"

/* System headers */

#include <sys/times.h>

/* Local headers */

#include "pingutil.h"

/* Functions */

p_timer_t *P_timer_create(void)
  {
  p_timer_t *timer = P_new(p_timer_t);

  time(&(timer->created)); /* set creation time on timer */

  return(timer);
  }

/*
 */

void P_timer_destroy(p_timer_t *timer)
  {
  P_free(timer);
  }

/*
 */

void P_timer_start(p_timer_t *timer)
  {
  timer->usr_time = timer->sys_time = 0;
  times(&(timer->t1));
  }

/*
 */

void P_timer_resume(p_timer_t *timer)
  {
  times(&(timer->t1));
  }

/*
 */

void P_timer_stop(p_timer_t *timer)
  {
  times(&(timer->t2));

  timer->usr = (timer->t2.tms_utime - timer->t1.tms_utime);
  timer->sys = (timer->t2.tms_stime - timer->t1.tms_stime);

  timer->usr_time += ((float)(timer->usr) / (float)CLK_TCK);
  timer->sys_time += ((float)(timer->sys) / (float)CLK_TCK);
  }

/* end of source file */
